image: ruby:3.0-bullseye

variables:
  JEKYLL_ENV: production

# add bundle cache to 'vendor' for speeding up builds
# From https://bftsystems.ca/moving-from-github-to-gitlab-pages/
cache:
  paths:
    - vendor/

before_script:
- gem install bundler -v '2.3.5'
- bundle config set path 'vendor'
- bundle install --jobs $(nproc)

test:
  stage: test
  script:
  - bundle exec jekyll build --config=_config.yml,_config.prod.yml -d test
  artifacts:
    paths:
    - test
  except:
  - master

pages:
  stage: deploy
  script:
  - bundle exec jekyll build --config=_config.yml,_config.prod.yml -d public
  artifacts:
    paths:
    - public
  only:
  - master

